Module | Sequel::Plugins::SingleTableInheritance::InstanceMethods
In: | lib/sequel/plugins/single_table_inheritance.rb

### Methods

before_create

### Public Instance methods

before_create()

Set the sti_key column based on the sti_key_map.

[Source]

         # File lib/sequel/plugins/single_table_inheritance.rb, line 161
    161:         def before_create
    162:           send("#{model.sti_key}=", model.sti_key_map[model]) unless self[model.sti_key]
    163:           super
    164:         end

[Validate]